<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Inspecao_model extends CI_Model {

    function __construct() {
        parent::__construct();
    }


    function get($table, $fields, $where = '', $perpage = 0, $start = 0, $one = false, $array = 'array') {

        $this->db->select($fields);
        $this->db->from($table);
        $this->db->limit($perpage, $start);
//        $this->db->order_by('idUsuarios','desc');

        if ($where) {
            $this->db->where($where);
        }

        $query = $this->db->get();

        $result = !$one ? $query->result() : $query->row();
        return $result;
    }

    function getCheListComItens() {
        $this->db->order_by('ID_CHECKLIST', 'desc');
        $linhas = $this->db->get('tbl_005_checklist')->result();
        foreach ($linhas as $linha) {
            $itens = new stdClass;
            $this->db->where('CHECKLIST_ID', $linha->ID_CHECKLIST);
            $itens->ITENS_CHECKLIST = $this->db->get('tbl_007_itens_checklist')->result();
            foreach (get_object_vars($itens) as $item => $valor) {
                $linha->$item = $valor;
            }
        }
        return $linhas;
    }

    function getById($id) {
        $this->db->where('idUsuarios', $id);
        $this->db->limit(1);
        return $this->db->get('usuarios')->row();
    }

    function add($table, $data) {
        $this->db->insert($table, $data);
        if ($this->db->affected_rows() == '1') {
            return TRUE;
        }

        return FALSE;
    }

    function edit($table, $data, $fieldID, $ID) {
        $this->db->where($fieldID, $ID);
        $this->db->update($table, $data);

        if ($this->db->affected_rows() >= 0) {
            return TRUE;
        }

        return FALSE;
    }

    function delete($table, $fieldID, $ID) {
        $this->db->where($fieldID, $ID);
        $this->db->delete($table);
        if ($this->db->affected_rows() == '1') {
            return TRUE;
        }

        return FALSE;
    }

    function count($table) {
        return $this->db->count_all($table);
    }
}